# Swift Study Guide 
[3DaysOfSwift.com](https://www.3DaysOfSwift.com) | [Online Swift Course](https://www.3DaysOfSwift.com) 



## Beginner / Junior Topics
Topic 1: [Foundational Types](https://docs.swift.org/swift-book/documentation/the-swift-programming-language/thebasics) & [The Basics](https://docs.swift.org/swift-book/documentation/the-swift-programming-language/thebasics)

Topic 2: [Control Flow](https://docs.swift.org/swift-book/documentation/the-swift-programming-language/controlflow)

Topic 3: [Optionals](https://docs.swift.org/swift-book/documentation/the-swift-programming-language/optionalchaining)

Topic 4: [Functions](https://docs.swift.org/swift-book/documentation/the-swift-programming-language/functions) & [Closures](https://docs.swift.org/swift-book/documentation/the-swift-programming-language/closures)

Topic 5: [Classes](https://docs.swift.org/swift-book/documentation/the-swift-programming-language/classesandstructures)

Topic 6: [Structs](https://docs.swift.org/swift-book/documentation/the-swift-programming-language/classesandstructures)

Topic 7: [Enums](https://docs.swift.org/swift-book/documentation/the-swift-programming-language/enumerations)

Topic 8: [Value Types](https://docs.swift.org/swift-book/documentation/the-swift-programming-language/classesandstructures#Structures-and-Enumerations-Are-Value-Types) & [Reference Types](https://docs.swift.org/swift-book/documentation/the-swift-programming-language/classesandstructures/#Classes-Are-Reference-Types)

Topic 9: [ARC (Automatic Reference Counting)](https://docs.swift.org/swift-book/documentation/the-swift-programming-language/automaticreferencecounting)

## Mid-level Topics
Topic 10: [Extensions](https://docs.swift.org/swift-book/documentation/the-swift-programming-language/extensions)

Topic 11: [Protocols](https://docs.swift.org/swift-book/documentation/the-swift-programming-language/protocols) 

Topic 12: [Concurrency](https://docs.swift.org/swift-book/documentation/the-swift-programming-language/concurrency)

Topic 13: [Error Handling](https://docs.swift.org/swift-book/documentation/the-swift-programming-language/errorhandling)

Topic 14: [Generics](https://docs.swift.org/swift-book/documentation/the-swift-programming-language/generics)

-------------------

Why not take our [online course](https://www.3DaysOfSwift.com) and learn Swift in 1 weekend?

[3DaysOfSwift.com](https://www.3DaysOfSwift.com) | [Email Us](mailto:helloworld@3daysofswift.com?subject=Hello)

🧕🏻🙋🏽‍♂️👨🏿‍💼👩🏼‍💼👩🏻‍💻💁🏼‍♀️👨🏼‍💼🙋🏻‍♂️🙋🏻‍♀️👩🏼‍💻🙋🏿💁🏽‍♂️🙋🏽‍♀️🙋🏿‍♀️🧕🏾🙋🏼‍♂️

Welcome to our community of [3DaysOfSwift.com](https://www.3DaysOfSwift.com) students!